Holdings state at v2
POST
Returns the active amulet contracts for a given migration id and record time, in creation date ascending order, paged.
Protocol Details
Inputs
Request body
application/json
number
required
OpenAPI type:
integer (int64).The migration id for which to return the ACS.string
required
OpenAPI type:
string (date-time).The timestamp at which the contract set was active. This needs to be an exact timestamp, i.e., needs to correspond to a timestamp reported by /v0/state/acs/snapshot-timestamp if record_time_match is set to exact (which is the default). If record_time_match is set to at_or_before, this can be any timestamp, and the most recent snapshot at or before the given record_time will be returned.string
default:"exact"
How to match the record_time. “exact” requires the record_time to match exactly. “at_or_before” finds the most recent snapshot at or before the given record_time.
string
Pagination token for the next page of results. This token is opaque and not meant to be edited by users.
number
required
OpenAPI type:
integer (int32).The maximum number of created events returned for this request.string[]
required
Filters by contracts in which these party_ids are the owners of the amulets.
Outputs
200
application/json
string (date-time)
required
The same
record_time as in the request.integer (int64)
required
The same
migration_id as in the request.ActiveContract[]
required
Up to
page_size contracts in the ACS. create_arguments are always encoded as compact_json.string
When requesting the next page of results, pass this as
after to the AcsRequestV2 or HoldingsStateRequestV2. Will be absent when there are no more pages. This token is opaque and not meant to be edited by users.400
application/json
string
required
404
application/json
string
required
500
application/json
string
required
History
Added
0.7.5